mtext_replace(3m17n)

NAME
mtext_replace - Replace sub-text of M-text with another.

SYNOPSIS
int mtext_replace (MText * mt1, int from1, int to1, MText * mt2, int from2, int to2)

DESCRIPTION
Replace sub-text of M-text with another.

The mtext_replace() function replaces sub-text of M-text mt1 between from1 (inclusive) and to1 (exclusive) with the sub-text of M-text mt2 between from2 (inclusive) and to2 (exclusive). The new sub-text inherits text properties of the old sub-text.

RETURN VALUE

    If the operation was successful, mtext_replace() returns 0. Otherwise, it returns -1 and assigns an error code to the external variable merror_code.

ERRORS

    MERROR_MTEXT, MERROR_RANGE

SEE ALSO

    mtext_insert()

COPYRIGHT
Copyright (C) 2001 Information-technology Promotion Agency (IPA)
Copyright (C) 2001-2008 National Institute of Advanced Industrial Science and Technology (AIST)
Permission is granted to copy, distribute and/or modify this document under the terms of the GNU Free Documentation License <http://www.gnu.org/licenses/fdl.html>.